/* Licensed to Stichting The Commons Conservancy (TCC) under one or more
 * contributor license agreements.  See the AUTHORS file distributed with
 * this work for additional information regarding copyright ownership.
 * TCC licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once
#include "afxdialogex.h"

// SignPage dialog

class SignPage : public CDialogEx
{
	DECLARE_DYNAMIC(SignPage)

public:
	SignPage(CWnd* pParent = nullptr);   // standard constructor
	SignPage(SignTextInstance* instance, CWnd* pParent = nullptr);
	virtual ~SignPage();

	CEdit	m_signText;
	CComboBox	m_certificateBox;
	CEdit	m_pinText;

	SignTextInstance* instance;

	HANDLE  sThread;

	// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SIGN_PAGE };
#endif

protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnCbenInsertitemCertificatebox(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCbnSelchangeCertificatebox();
	afx_msg void OnIdok();
};
